Bug 779486 - (SOA-1869) Multiple quickstarts include juddi.properties files that reference jUDDI v2 services' URLs
Multiple quickstarts include juddi.properties files that reference jUDDI v2 s...
Status: CLOSED WONTFIX
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Examples (Show other bugs)
5.0.0 ER7
Unspecified Unspecified
medium Severity medium
: ---
: FUTURE
Assigned To: Julian Coleman
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-22 14:25 EST by Len DiMaggio
Modified: 2011-04-08 16:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-08 16:21:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1869 None None None Never

  None (edit)
Description Len DiMaggio 2010-01-22 14:25:28 EST
Date of First Response: 2010-01-25 10:57:44
project_key: SOA

The files are here:

find . -name juddi.properties -print | grep sample 
./jboss-as/samples/quickstarts/static_router/juddi.properties
./jboss-as/samples/quickstarts/simple_cbr/juddi.properties
./jboss-as/samples/quickstarts/http_gateway/juddi.properties
./jboss-as/samples/quickstarts/scheduled_services/juddi.properties
./jboss-as/samples/quickstarts/transform_XML2POJO2/juddi.properties
./jboss-as/samples/quickstarts/native_client/juddi.properties
./jboss-as/samples/quickstarts/webservice_consumer1/juddi.properties
./jboss-as/samples/quickstarts/load_generator/juddi.properties
./jboss-as/samples/quickstarts/webservice_consumer_wise3/juddi.properties
./jboss-as/samples/quickstarts/helloworld_ejb3_ws/juddi.properties
./jboss-as/samples/quickstarts/business_ruleservice_stateful/juddi.properties
./jboss-as/samples/quickstarts/helloworld_tx_sql_action/juddi.properties
./jboss-as/samples/quickstarts/dynamic_router/juddi.properties
./jboss-as/samples/quickstarts/webservice_consumer2/juddi.properties
./jboss-as/samples/quickstarts/aggregator/juddi.properties
./jboss-as/samples/quickstarts/helloworld_file_notifier/juddi.properties
./jboss-as/samples/quickstarts/bpm_orchestration4/juddi.properties
./jboss-as/samples/quickstarts/messagealerts/juddi.properties
./jboss-as/samples/quickstarts/transform_XML2XML_stream/juddi.properties
./jboss-as/samples/quickstarts/huge-split-enrich-transform-route/juddi.properties
./jboss-as/samples/quickstarts/two_servers/juddi.properties
./jboss-as/samples/quickstarts/helloworld_bridge/juddi.properties
./jboss-as/samples/quickstarts/xsd_validation/juddi.properties
./jboss-as/samples/quickstarts/transform_XML2XML_simple/juddi.properties
./jboss-as/samples/quickstarts/groovy_gateway/juddi.properties
./jboss-as/samples/quickstarts/monitoring_action/juddi.properties
./jboss-as/samples/quickstarts/spring_helloworld/juddi.properties
./jboss-as/samples/quickstarts/helloworld_sql_action/juddi.properties
./jboss-as/samples/quickstarts/JAAS_action/juddi.properties
./jboss-as/samples/quickstarts/scripting_groovy/juddi.properties
./jboss-as/samples/quickstarts/publish_as_webservice/juddi.properties
./jboss-as/samples/quickstarts/helloworld_hibernate_action/juddi.properties
./jboss-as/samples/quickstarts/swift2xml_action/juddi.properties
./jboss-as/samples/quickstarts/helloworld_action/juddi.properties
./jboss-as/samples/quickstarts/helloworld_action/oracle-aq/juddi.properties
./jboss-as/samples/quickstarts/scripting_chain/juddi.properties
./jboss-as/samples/quickstarts/webservice_consumer_wise/juddi.properties
./jboss-as/samples/quickstarts/jms_router/juddi.properties
./jboss-as/samples/quickstarts/bpm_orchestration2/juddi.properties
./jboss-as/samples/quickstarts/smooks_file_splitter_router/juddi.properties
./jboss-as/samples/quickstarts/helloworld_ftp_action/juddi.properties
./jboss-as/samples/quickstarts/helloworld_file_action/juddi.properties
./jboss-as/samples/quickstarts/spring_aop/juddi.properties
./jboss-as/samples/quickstarts/invm_transport1/juddi.properties
./jboss-as/samples/quickstarts/webservice_consumer_wise4/juddi.properties
./jboss-as/samples/quickstarts/xml2swift_action/juddi.properties
./jboss-as/samples/quickstarts/transform_EDI2XML_Groovy_XSLT/juddi.properties
./jboss-as/samples/quickstarts/http_gateway_orig/juddi.properties
./jboss-as/samples/quickstarts/ejbprocessor/juddi.properties
./jboss-as/samples/quickstarts/helloworld/juddi.properties
./jboss-as/samples/quickstarts/webservice_consumer_wise2/juddi.properties
./jboss-as/samples/quickstarts/business_ruleservice_ruleAgent/juddi.properties
./jboss-as/samples/quickstarts/bpm_orchestration1/juddi.properties
./jboss-as/samples/quickstarts/spring_jpetstore/juddi.properties
./jboss-as/samples/quickstarts/wsmq_router/juddi.properties
./jboss-as/samples/quickstarts/transform_XML2XML_date_manipulation/juddi.properties
./jboss-as/samples/quickstarts/transform_XML2POJO/juddi.properties
./jboss-as/samples/quickstarts/transform_CSV2XML/juddi.properties
./jboss-as/samples/quickstarts/security_basic/juddi.properties
./jboss-as/samples/quickstarts/recipient_list/juddi.properties
./jboss-as/samples/quickstarts/jms_secured/juddi.properties
./jboss-as/samples/quickstarts/helloworld_topic_notifier/juddi.properties
./jboss-as/samples/quickstarts/opensso/juddi.properties
./jboss-as/samples/quickstarts/exceptions_faults/juddi.properties
./jboss-as/samples/quickstarts/jms_transacted/juddi.properties
./jboss-as/samples/quickstarts/business_service/juddi.properties
./jboss-as/samples/quickstarts/wiretap/juddi.properties
./jboss-as/samples/quickstarts/custom_action/juddi.properties
./jboss-as/samples/quickstarts/business_rules_service/juddi.properties
./jboss-as/samples/quickstarts/bpm_orchestration3/juddi.properties
./jboss-as/samples/quickstarts/udp_gateway/juddi.properties
./jboss-as/samples/quickstarts/helloworld_ejb3_ws_wss/juddi.properties

The contents are:

# jUDDI Registry Properties (used by RegistryServer)
# see http://www.juddi.org for more information

# The UDDI Operator Name
juddi.operatorName = jUDDI.org

# The i18n locale default codes
juddi.i18n.languageCode = en
juddi.i18n.countryCode = US

# The UDDI DiscoveryURL Prefix
juddi.discoveryURL = http://localhost:8080/juddi/uddiget.jsp?

# The UDDI Operator Contact Email Address
juddi.operatorEmailAddress = admin@juddi.org

# The maximum name size and maximum number
# of name elements allows in several of the
# FindXxxx and SaveXxxx UDDI functions.
juddi.maxNameLength=255
juddi.maxNameElementsAllowed=5

# The maximum number of UDDI artifacts allowed
# per publisher. A value of '-1' indicates any 
# number of artifacts is valid (These values can be
# overridden at the individual publisher level).
juddi.maxBusinessesPerPublisher=25
juddi.maxServicesPerBusiness=20
juddi.maxBindingsPerService=10
juddi.maxTModelsPerPublisher=100

# jUDDI Authentication module to use
juddi.auth = org.apache.juddi.auth.DefaultAuthenticator

# jUDDI DataStore module currently to use
juddi.dataStore = org.apache.juddi.datastore.jdbc.JDBCDataStore

# use a dataSource (if set to false a direct 
# jdbc connection will be used.
juddi.isUseDataSource=false
juddi.jdbcDriver=com.mysql.jdbc.Driver
juddi.jdbcUrl=jdbc:mysql://localhost:3306/juddi
juddi.jdbcUsername=root
juddi.jdbcPassword=admin
# jUDDI DataSource to use
# juddi.dataSource=java:comp/env/jdbc/MySqlDS

# jUDDI UUIDGen implementation to use
juddi.uuidgen = org.apache.juddi.uuidgen.DefaultUUIDGen

# jUDDI Cryptor implementation to use
juddi.cryptor = org.apache.juddi.cryptor.DefaultCryptor
 
# jUDDI Validator to use
juddi.validator=org.apache.juddi.validator.DefaultValidator

# jUDDI Proxy Properties (used by RegistryProxy)
juddi.proxy.adminURL = http://localhost:8080/juddi/admin
juddi.proxy.inquiryURL = http://localhost:8080/juddi/inquiry
juddi.proxy.publishURL = http://localhost:8080/juddi/publish
juddi.proxy.transportClass = org.apache.juddi.proxy.AxisTransport
juddi.proxy.securityProvider = com.sun.net.ssl.internal.ssl.Provider
juddi.proxy.protocolHandler = com.sun.net.ssl.internal.www.protocol

# JNDI settings (used by RMITransport)
java.naming.factory.initial=org.jnp.interfaces.NamingContextFactory
java.naming.provider.url=jnp://localhost:1099
java.naming.factory.url.pkgs=org.jboss.naming

There doesn't seem to be any impact of these files being there - or not.
Comment 1 Kevin Conner 2010-01-25 10:57:44 EST
Some of these look to be platform
Comment 2 Kevin Conner 2010-01-25 10:58:38 EST
Link: Added: This issue depends JBESB-3150
Comment 3 Len DiMaggio 2010-02-03 11:50:51 EST
Some are still there in ER8 - no functional impact however:

 find . -name juddi.properties -print
./helloworld_ejb3_ws/juddi.properties
./xsd_validation/juddi.properties
./JAAS_action/juddi.properties
./swift2xml_action/juddi.properties
./xml2swift_action/juddi.properties
./wsmq_router/juddi.properties
./opensso/juddi.properties
./helloworld_ejb3_ws_wss/juddi.properties

# The UDDI DiscoveryURL Prefix
juddi.discoveryURL = http://localhost:8080/juddi/uddiget.jsp?

Comment 4 Kevin Conner 2010-02-03 12:31:54 EST
These are the platform ones
Comment 5 David Le Sage 2010-02-09 00:20:13 EST
Do we need to make mention of this in the release notes if there is no functional impact?  We can make note of it if need be.

Thanks,

David
Comment 6 Len DiMaggio 2010-02-16 13:36:47 EST
David - no - there is no need to mention this in the rel notes - the JIRA is just to clean things up.

Note You need to log in before you can comment on or make changes to this bug.